[Mayan EDMS: 2577] upgrade procedure 2.7.3 to 3.0 after deployment with docker-compose.yml?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[Mayan EDMS: 2577] upgrade procedure 2.7.3 to 3.0 after deployment with docker-compose.yml?

Lin Pro
My MayanEDMS is a 2.7.3 and was deployed with "docker-compose up -d"
The compose file has been slightly modified:
" staging:
      driver: local
      driver_opts:
        o: bind
        type: none
        device: /srv/staging/pub
"

Now the instructions online for upgrading the images are simply this:

"Remove the container:

docker rm mayan-edms
Pull the new image version:

docker pull mayanedms/mayanedms:latest
Start the container again with the new image version:

docker run -d --name mayan-edms --restart=always -p 80:8000 -v /docker-volumes/mayan:/var/lib/mayan mayanedms/mayanedms:latest"


Is it really going to work?
Are there other procedures to upgrade for those who start MayanEDMS with docker-compose?



Lin

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: [Mayan EDMS: 2581] upgrade procedure 2.7.3 to 3.0 after deployment with docker-compose.yml?

rosarior
Administrator
Since you used docker-compose I recommend you modify the compose.yml file instead. Just update the version number and the http port from 80 to 8000.

On Thu, Jul 12, 2018, 7:20 PM Lin Pro <[hidden email]> wrote:
My MayanEDMS is a 2.7.3 and was deployed with "docker-compose up -d"
The compose file has been slightly modified:
" staging:
      driver: local
      driver_opts:
        o: bind
        type: none
        device: /srv/staging/pub
"

Now the instructions online for upgrading the images are simply this:

"Remove the container:

docker rm mayan-edms
Pull the new image version:

docker pull mayanedms/mayanedms:latest
Start the container again with the new image version:

docker run -d --name mayan-edms --restart=always -p 80:8000 -v /docker-volumes/mayan:/var/lib/mayan mayanedms/mayanedms:latest"


Is it really going to work?
Are there other procedures to upgrade for those who start MayanEDMS with docker-compose?



Lin

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.

--

---
You received this message because you are subscribed to the Google Groups "Mayan EDMS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.